<template>
  <div class="project-section project-info-section">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12 col-xl-6 offset-xl-3">
          <div class="row">
            <div class="col-12 col-lg-8">
              <div class="title">{{ project.displayName }}</div>
              <div class="description">{{ project.description }}</div>
            </div>
            <div class="col-12 col-lg-4">
              <div class="avatar-section">
                <div class="avatars">
                  <div
                    class="avatar"
                    v-for="member in project.members"
                    :key="member.id"
                  >
                    <img :src="member.user.photoURL" />
                  </div>
                </div>
                Members
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    project: {
      required: true
    }
  },
  data() {
    return {
      avatars: [
        "https://media-exp1.licdn.com/dms/image/C5603AQHqFPttSA7ejA/profile-displayphoto-shrink_200_200/0?e=1585180800&v=beta&t=8wvFn0rKx_NE-cBP8KroEJKWNG1Y1qzMgtfwyxhFu5g",
        "https://yt3.ggpht.com/a/AGF-l78vYM3jiugoM4LzbK740vbAeLy5YFpJHmBIqg=s100-c-k-c0xffffffff-no-rj-mo",
        "https://pbs.twimg.com/profile_images/778314284703031296/BAmCMmhE_400x400.jpg"
      ]
    };
  }
};
</script>

<style lang="scss">
.project-info-section {
  padding-top: 20px;
  padding-bottom: 20px;
  border-bottom: 1px solid #dbdbdb;
  transition: border-color 0.1s ease-out;
  .title {
    font-size: 45px;
    font-weight: bold;
    color: #4c4e57;
  }
  .description {
  }
  .avatar-section {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    height: 100%;
    font-weight: 600;
    color: #b4b4b4;
  }
  .avatars {
    height: 100%;
    /*background-color:red;*/
    display: flex;
    justify-content: flex-end;
    align-items: center;
    margin-right: 10px;
    .avatar {
      width: 40px;
      height: 40px;
      background-color: #7622ff;
      border-radius: 100%;
      border: 3px solid #f6f6f6;
      margin-left: -15px;
      overflow: hidden;
      img {
        width: 100%;
        height: 100%;
      }
    }
  }
}
</style>
